#!/usr/bin/env python

import rospy
from std_msgs.msg import String
from datetime import datetime
from gazebo_msgs.srv import GetModelState
from gazebo_msgs.srv import GetWorldProperties

WriteFlag = 0
logtime = "bot_listener_log.txt"
f = open(logtime, "w+")

def callback(data):

    rospy.loginfo(data.data)
    get_world_properties = rospy.ServiceProxy('/gazebo/get_world_properties', GetWorldProperties)
    resp1 = get_world_properties()
    f.write("[T:" + str(resp1.sim_time) + "] " + data.data + "\n")

def listener():
    rospy.init_node('listener', anonymous=True)

    rospy.Subscriber('chatter', String, callback)

    rospy.spin()

if __name__ == '__main__':
    listener()
